com.microfocus.awm.localsystem

## Class LocalTaurusSystemProxy

- java.lang.Object
- - com.microfocus.awm.localsystem.LocalTaurusSystemProxy

- All Implemented Interfaces:
    ITaurusSystemProxy

      public class LocalTaurusSystemProxy
      extends java.lang.Object
      implements ITaurusSystemProxy

  AWM system provider for local systems, which can be created by local master configuration files.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTaurusSystemProxy()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ITaurusSystem>` | `create(org.eclipse.core.runtime.IProgressMonitor pMon)` Creates one or several `ITaurusSystem`s from the stub.
    `java.lang.String` | `getDescription()` Gets a human readable description of the system stub, ideally containing brief information about the contained AWM applications.
    `java.lang.String` | `getName()` Gets the name of the AWM system stub.
    `static java.util.List<TaurusSystemPersistableProxy>` | `readLocalMasterConfiguration()` Reads the local master configuration file, considering the `master configuration provider` extension point.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTaurusSystemProxy

          public LocalTaurusSystemProxy()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ITaurusSystemProxy`
      Gets the name of the AWM system stub.
      Specified by:
        `getName` in interface `ITaurusSystemProxy`
      Returns:
        the name of the system stub

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `ITaurusSystemProxy`
      Gets a human readable description of the system stub, ideally containing brief information about the contained AWM applications. The description will be used e.g. in the "Add System" dialog to give the user an overview what this system might contain.

      Examples:

      - "My zServer Connection" AWM applications.
      - Local AWM applications.
      Specified by:
        `getDescription` in interface `ITaurusSystemProxy`
      Returns:
        a description of the system stub

    - #### create

          public java.util.List<ITaurusSystem> create(org.eclipse.core.runtime.IProgressMonitor pMon)
                                               throws TaurusCoreException

      Description copied from interface: `ITaurusSystemProxy`
      Creates one or several `ITaurusSystem`s from the stub. This can be used for systems which need to be created by e.g. reading a master configuration file from a remote system.

      Simple `ITaurusSystem` implementations can simply implement this interface and return `this` in a `List`.

      Specified by:
        `create` in interface `ITaurusSystemProxy`
      Parameters:
        `pMon` - a progress monitor
      Returns:
        at least one `ITaurusSystem`
      Throws:
        `TaurusCoreException` - if an exception occurs during AWM system creation

    - #### readLocalMasterConfiguration

          public static java.util.List<TaurusSystemPersistableProxy> readLocalMasterConfiguration()
                                                                                           throws TaurusCoreException

      Reads the local master configuration file, considering the `master configuration provider` extension point.
      Returns:
        a list of parsed `TaurusSystemPersistableProxy`s
      Throws:
        `TaurusCoreException` - if reading/parsing the master configuration file fails

Copyright © 2015 Micro Focus GmbH. All rights reserved.